html.menu body {
  overflow: hidden;
}

nav.toggle-buttons {
  position: fixed;
  display: flex;
  bottom: 0.6em;
  right: 0.5em;
  gap: 0.5em;
  z-index: 4;
}
html.scrollbar.menu nav.toggle-buttons {
  right: calc(0.5em + var(--scrollbar-width));
}

.menu-toggle,
.map-toggle {
  width: 3.25rem;
  height: 3.25rem;
  border-radius: 50%;
  border: 1px solid #777;
  box-shadow: 1px 2px 8px 2px #555;
  transition: transform var(--transition-short);
}
html:not(.show-map-toggle) .map-toggle,
html.menu .map-toggle {
  opacity: 0;
}

.map-toggle:hover,
.menu-toggle:hover {
  transform: scale(1.05);
}

.map-toggle {
  background: center/contain no-repeat;
  transition: opacity var(--transition-short),
    background-image var(--transition-short);
}
.map-toggle:hover {
  filter: brightness(107%);
}

.menu-toggle {
  backdrop-filter: blur(1px);
  background-color: rgba(255, 255, 255, 60%);
  transition: background-color var(--transition-short);
}
.menu-toggle:hover {
  background-color: rgba(255, 255, 255, 65%);
}
html.menu .menu-toggle,
html.menu .menu-toggle:hover {
  background-color: #eee;
  border-color: #eee;
}

/************************************************/

.menu-canvas {
  position: fixed;
  inset: 0;
  z-index: 3;
  display: flex;
  justify-content: flex-end;
  font-size: 1.1rem;
  pointer-events: none;
  transition: background-color var(--transition-short);
}
html.menu .menu-canvas {
  pointer-events: all;
  background-color: rgba(0, 0, 0, 0.7);
  backdrop-filter: blur(5px);
}

.menu-content {
  display: flex;
  width: 100%;
  overflow-y: scroll;
  flex-direction: column;
  align-items: flex-end;
  padding: 0 0.5em;
  transform-origin: right bottom;
  transform: scale(0);
  transition: transform var(--transition-short);
}
html.menu .menu-content {
  transform: scale(1);
}

/************************************************/

.menu-content::-webkit-scrollbar-track {
  background-color: rgba(0, 0, 0, 30%);
  border-radius: 0.5rem;
}
.menu-content::-webkit-scrollbar-thumb {
  background-color: rgba(255, 69, 0, 50%);
  border-radius: 0.5rem;
}

/************************************************/

.menu-content nav.icons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2.6em;
  padding: 2ch 0 3ch;
  margin: 0 auto;
}
.menu-content nav.icons > * {
  display: flex;
  cursor: pointer;
}
.menu-content nav.icons svg {
  height: 1.9em;
  fill: #eee;
}
.menu-content .flag {
  padding: 1px 0;
}
.youtube-logo path:first-of-type {
  fill: rgba(var(--orange-red-rgb), 80%);
}

/************************************************/

nav.search {
  display: flex;
  flex-direction: column;
  gap: 3ch;
  width: min(60ch, 100%);
  margin: 0 auto;
}
nav.search > * {
  background-color: hsla(0, 0%, 100%, 0.1);
  border-radius: var(--border-radius-menu);
  transition: order var(--transition-short);
}
nav.search > *.active {
  border-radius: var(--border-radius-menu) var(--border-radius-menu) 0 0;
}

/************************************************/

.search-text {
  position: relative;
  width: 100%;
  padding: 1.6ch 1ch;
}

.search-text .search-row {
  font-size: clamp(1.25em, 4vw, 1.6em);
  display: flex;
  align-items: center;
  justify-content: flex-end;
  width: 100%;
  border-radius: 2ch;
}
.search-text input {
  font-size: inherit;
  width: 100%;
  height: 2.5ch;
  border-radius: 1.25ch 0 0 1.25ch;
  padding: 0 1ch;
  border: unset;
}

.search-trigger {
  height: 3.7ch;
  flex-shrink: 0;
  border-radius: 50%;
  margin-left: -1.1ch;
  padding: 1px;
  cursor: pointer;
  transform-origin: center;
  transition: filter var(--transition-short);
}
.search-trigger:hover {
  filter: brightness(107%);
}
.search-trigger path.drop {
  fill: white;
}
.search-trigger path.magnify {
  fill: white;
  transform-origin: center;
  transform: scale(0.75);
}
.search-trigger circle {
  fill: hsl(16, 85%, 47%);
}

.search-text-rule {
  position: absolute;
  bottom: 0.5ch;
  color: #ddd;
  padding-left: 1em;
}
.search-text-rule.invalid {
  color: orangered;
  font-weight: bold;
}

/************************************************/

.menu-content .search-ref {
  display: flex;
  flex-direction: column;
  padding: 1ch;
}

.search-ref .authors {
  display: flex;
  justify-content: center;
  gap: 1.5ch;
  margin: 0 10% 0;
}
.search-ref.show-chapters .authors {
  padding-bottom: 1ch;
  border-bottom: 1px solid var(--chrome-bg-light);
}

.search-ref .chapters {
  display: none;
  flex-wrap: wrap;
  gap: 0.9ch;
  align-content: flex-start;
  justify-content: center;
  padding-top: 1ch;
}
.search-ref.show-chapters .chapters {
  display: flex;
}

.menu-icon-button {
  width: 4.2ch;
  height: 4.2ch;
  padding: unset;
  border: unset;
  border-radius: 0.8em;
  font-size: inherit;
  text-transform: capitalize;
  cursor: pointer;
  transition: transform var(--transition-short);
}
.menu-icon-button:hover {
  transform: scale(1.05);
}
.menu-icon-button.selected {
  background-color: rgba(var(--orange-red-rgb), 80%);
}

/************************************************/

.menu-content .slot {
  color: #eee;
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000,
    1px 1px 0 #000;
}
.menu-content div.slot {
  margin-top: 3ch;
  border-radius: var(--border-radius);
}
.menu-content .slot {
  text-align: justify;
  background-color: hsla(0, 0%, 100%, 0.1);
  border-radius: 0 0 var(--border-radius-menu) var(--border-radius-menu);
  padding: 1ch;
  width: min(60ch, 100%);
  margin: 0 auto 5em;
}
.menu-content .slot h1 {
  font-size: 2em;
  margin-top: unset;
  text-align: center;
  margin-bottom: revert;
}
.menu-content .slot p {
  margin-top: unset;
  margin-bottom: 1.4em;
  line-height: 1.5;
}
.menu-content .slot:not(ul) a {
  white-space: nowrap;
  color: hsl(195, 100%, 50%);
  text-shadow: -1px -1px 0 #222, 1px -1px 0 #222, -1px 1px 0 #222,
    1px 1px 0 #222;
  text-decoration: none inherit;
  transition: text-decoration 0.2s;
}
.menu-content .slot:not(ul) a:hover {
  text-decoration: underline;
}
.menu-content .slot .open-in-new-tab {
  display: inline-block;
  transform-origin: top;
  transform: scale(-0.6, 0.6);
}
.menu-content .slot small {
  display: block;
  text-align: center;
}
/************************************************/

.menu-content ul.slot {
  list-style-type: none;
  margin-top: unset;
  padding-top: 1em;
  display: flex;
  flex-direction: column;
  row-gap: 1em;
}

.menu-content ul.slot li {
  cursor: pointer;
  line-height: 1.4;
}

.menu-content ul.slot h3 {
  cursor: pointer;
}
.menu-content ul.slot h3::first-letter {
  text-transform: uppercase;
}
